root/trunk/libnotify/autogen.sh

Revision 2822 (checked in by chipx86, 2 years ago)

Add some gtk-doc documentation.

  • Property svn:executable set to
Line 
1 #!/bin/sh
2 # Run this to generate all the initial makefiles, etc.
3
4 DIE=0
5
6 PACKAGE=libnotify
7
8 echo "Generating configuration files for $PACKAGE, please wait..."
9
10 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
11     echo
12     echo "You must have autoconf installed to compile $PACKAGE."
13     echo "Download the appropriate package for your distribution,"
14     echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
15     DIE=1
16 }
17
18 (libtool --version) < /dev/null > /dev/null 2>&1 || {
19     echo
20     echo "You must have libtool installed to compile $PACKAGE."
21     echo "Download the appropriate package for your distribution,"
22     echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
23     DIE=1
24 }
25
26 (automake --version) < /dev/null > /dev/null 2>&1 || {
27     echo
28     echo "You must have automake installed to compile $PACKAGE."
29     echo "Download the appropriate package for your distribution,"
30     echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
31     DIE=1
32 }
33
34 (gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
35     echo
36     echo "You must have gtkdocize installed to compile $PACKAGE."
37     echo "Download the appropriate package for your distribution,"
38     echo "or get the source tarball at ftp://ftp.gnome.org/pub/gnome/sources/gtk-doc"
39 }
40
41 [ $DIE -eq 1 ] && exit 1;
42
43 echo "  libtoolize --copy --force"
44 libtoolize --copy --force
45 echo "  aclocal $ACLOCAL_FLAGS"
46 aclocal $ACLOCAL_FLAGS
47 echo "  gtkdocize"
48 gtkdocize
49 echo "  autoheader"
50 autoheader
51 echo "  automake --add-missing"
52 automake --add-missing
53 echo "  autoconf"
54 autoconf
55
56 if [ -x config.status -a -z "$*" ]; then
57     ./config.status --recheck
58 else
59     if test -z "$*"; then
60         echo "I am going to run ./configure with no arguments - if you wish"
61         echo "to pass any to it, please specify them on the $0  command line."
62         echo "If you do not wish to run ./configure, press  Ctrl-C now."
63         trap 'echo "configure aborted" ; exit 0' 1 2 15
64         sleep 1
65     fi
66     ./configure "$@";
67 fi
Note: See TracBrowser for help on using the browser.